POST
/
platformapi
/
chainup
/
open
/
record
/
queryOrderDetail
curl --request POST \
  --url http://service.xxx.com/platformapi/chainup/open/record/queryOrderDetail \
  --header 'Content-Type: application/json' \
  --data '{
  "appKey": "{{appKey}}",
  "sign": "{{sign}}",
  "symbol": "btcusdt",
  "orderId": "2690536306533250910"
}'
{
  "code": "0",
  "msg": "suc",
  "data": {
    "orderDetail": {
      "id": 2690536306533251000,
      "userId": 24003817,
      "side": "BUY",
      "orderType": 1,
      "status": 2,
      "source": 6,
      "symbol": "btcusdt",
      "showSymbol": "BTC1/USDT4",
      "price": "15078.94736842",
      "volume": "0.00069808",
      "avgPrice": "14873.398895549862",
      "dealMoney": "10.3828223010054482",
      "dealVolume": "0.00069808",
      "ctime": 1745995453227,
      "mtime": 1745995454000,
      "feeCoin": "BTC",
      "fee": "0.000002303664"
    }
  }
}

API Description

  • Query order details requires specifying a trading pair and order ID
  • Response includes fee information

Request Parameters

NameTypeRequiredDescription
appKeystringYesUnique merchant appKey
signstringYesSign
symbolstringYesTrading pair (e.g. btcusdt)
orderIdlongYesOrder ID

Request Example

cURL
curl --request POST \
  --url http://service.xxx.com/platformapi/chainup/open/record/queryOrderDetail \
  --header 'Content-Type: application/json' \
  --data '{
    "appKey": "{your_app_key}",
    "sign": "{sign}",
    "symbol": "btcusdt",
    "orderId": 327184612876959744
  }'

Response Value Enum Description:

  • status (Order Status):
    • 0: init (Initialized)
    • 1: new (New Order)
    • 2: filled (Fully Filled)
    • 3: part_filled (Partially Filled)
    • 4: canceled (Canceled)
    • 5: pending_cancel (Canceling)
    • 6: expired (Expired)
  • source (Order Source):
    • 1: web
    • 2: app
    • 3: api
  • orderType (Order Type):
    • 1: Regular Order
    • 2: Margin Order
    • 3: Cross Margin Order
  • type (Entrust Type):
    • 1: limit (Limit Order)
    • 2: market (Market Order)
    • 3: stop (Stop Order)

Response Parameters

NameTypeDescription
orderDetailobjectOrder details
└─idstringOrder ID
└─userIdintUser ID
└─sidestringTrade side (buy/sell)
└─orderTypeintOrder type
└─statusintOrder status
└─sourceintSource
└─symbolstringTrading pair
└─showSymbolstringDisplay trading pair name
└─pricestringOrder price
└─volumestringOrder quantity
└─avgPricestringAverage deal price
└─dealMoneystringDeal amount
└─dealVolumestringDeal quantity
└─ctimelongCreation time (milliseconds)
└─mtimelongModification time (milliseconds)
└─feeCoinstringFee currency
└─feestringFee amount

Response Example

{
    "code": "0",
    "msg": "suc",
    "data": {
        "orderDetail": {
            "id": 327184612876959744,
            "userId": 4107676,
            "side": "BUY",
            "orderType": 1,
            "status": 4,
            "source": 1,
            "symbol": "btcusdt",
            "showSymbol": "BTC/USDT",
            "price": "581.57",
            "volume": "1",
            "avgPrice": "0",
            "dealMoney": "0",
            "dealVolume": "0",
            "ctime": 1606823070215,
            "mtime": 1606823070215,
            "feeCoin": "USDT",
            "fee": "0.5"
        }
    }
}

Body

application/json
appKey
string
required
sign
string
required
symbol
string
required
orderId
string
required

Response

200 - application/json
code
string
required
msg
string
required
data
object
required